%define name	profanation-data
%define version 1.0
%define release %mkrel 2
%define	Summary	Data files for profanation

Name:		%{name}
Summary:	%{Summary}
Version:	%{version}
Release:	%{release}
Source0:        http://www.masoftware.es/descargas/profanation/deluxe/ProfaDeluxe-Win.zip
Url:            http://www.masoftware.es/
License:        GPL
Group:          Games/Arcade
BuildRequires:  unzip
BuildArchitectures: noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
Remake of the spanish 8 bits game "Abu Simbel Profanation".

This package includes the data files needed by the game.

%prep
%setup -q -n ProfaDeluxe-win

%build

%install
install -d -m755 "${RPM_BUILD_ROOT}%{_datadir}/profanation/Data"
install -D -p -m644 Data/*.mpb "${RPM_BUILD_ROOT}%{_datadir}/profanation/Data"
install -d -m755 "${RPM_BUILD_ROOT}%{_datadir}/profanation/Data/Fonts"
install -D -p -m644 Data/Fonts/*.png "${RPM_BUILD_ROOT}%{_datadir}/profanation/Data/Fonts"
install -d -m755 "${RPM_BUILD_ROOT}%{_datadir}/profanation/Data/Graficos"
install -D -p -m644 Data/Graficos/*.png "${RPM_BUILD_ROOT}%{_datadir}/profanation/Data/Graficos"
install -d -m755 "${RPM_BUILD_ROOT}%{_datadir}/profanation/Data/Idioma"
install -D -p -m644 Data/Idioma/*.png "${RPM_BUILD_ROOT}%{_datadir}/profanation/Data/Idioma"
install -d -m755 "${RPM_BUILD_ROOT}%{_datadir}/profanation/Data/Idioma/Himnos"
install -D -p -m644 Data/Idioma/Himnos/*.ogg "${RPM_BUILD_ROOT}%{_datadir}/profanation/Data/Idioma/Himnos"
install -d -m755 "${RPM_BUILD_ROOT}%{_datadir}/profanation/Data/Sonidos"
install -D -p -m644 Data/Sonidos/*.wav "${RPM_BUILD_ROOT}%{_datadir}/profanation/Data/Sonidos"

%clean
rm -rf "${RPM_BUILD_ROOT}"

%files
%defattr(-,root,root)
%{_datadir}/profanation

%changelog
* Sat May 02 2009 pcserver <pcserver@hushmail.com> 1.0-2pclos2009
- fix synaptic group

* Mon Feb 18 2008 P. K. Frederic <pkfric@yahoo.com> 1.0-1pclos2007
- first RPM for PCLinuxOS imported from cmorve69@yahoo.es

